Skip to navigation

List Available Skills

List both global catalog skills and project-owned skills that can be attached to a TaskAgent in this project.

Authentication

AuthorizationBearer

API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.

OR
AuthorizationBearer

API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID

Query parameters

page_limitinteger or nullOptional1-100Defaults to 100

The maximum number of items to return per page. Defaults to 100 if not specified.

cursorstring or nullOptionalformat: "uuid"

A cursor for pagination. Use the next_cursor value from the previous response to get the next page of results.

searchstring or nullOptional
Search skill slug, display name, and description.

Response

Available skills
resultslist of objects
The list of items returned for the current page.
paginationobject or nullOptional
Contains pagination information for the result set.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error